petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCShellGetName

Gets an optional name that the user has set for a shell preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellGetName(PC pc,const char *name[])

Not Collective Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

name -character string describing shell preconditioner (you should not free this) Many br

Many br

### Keywords

PC, shell, get, name, user-provided

### See Also

PCShellSetName()

Level:developer
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages